Resolve an import bundle candidate
PATCH
/api/import-bundles/{id}/candidates/{candidateId}
const url = 'https://api.getvespy.com/api/import-bundles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/candidates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"edit","canonicalPayload":{},"reason":"example","resolvedEntityId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.getvespy.com/api/import-bundles/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/candidates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "edit", "canonicalPayload": {}, "reason": "example", "resolvedEntityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
candidateId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
action
required
string
canonicalPayload
object
key
additional properties
any
reason
required
string
resolvedEntityId
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
candidates
required
Array<object>
object
associationReferences
required
Array<object>
object
key
additional properties
any
bundleId
required
string format: uuid
canonicalPayload
required
object
key
additional properties
any
createdAt
required
string format: date-time
externalId
required
string
id
required
string format: uuid
identityAlgorithmVersion
required
string
identityConfidence
required
string
identityInputs
required
object
key
additional properties
any
issues
required
Array<object>
object
key
additional properties
any
overrideMetadata
required
object
key
additional properties
any
providerResourceKind
required
string
resolvedEntityId
required
string format: uuid
sourceFileId
required
string format: uuid
sourceRowNumbers
required
Array<integer>
status
required
string
targetResourceType
required
string
updatedAt
required
string format: date-time
page
required
integer
pageSize
required
integer
total
required
integer
totalPages
required
integer
Example
{ "candidates": [ { "identityConfidence": "stable", "status": "ready_create", "targetResourceType": "property" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}